## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests depend on pytest-jupyter and that depends back
# on jupyter-server[test] so we might need to break this loop.
%bcond_without tests

Name:           python-jupyter-server
Version:        2.14.0
Release:        %autorelease
Summary:        The backend for Jupyter web applications
License:        BSD-3-Clause
URL:            https://jupyter-server.readthedocs.io
Source:         %{pypi_source jupyter_server}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
The Jupyter Server provides the backend (i.e. the core services,
APIs, and REST endpoints) for Jupyter web applications like
Jupyter notebook, JupyterLab, and Voila.}


%description %_description

%package -n     python3-jupyter-server
Summary:        %{summary}

%description -n python3-jupyter-server %_description


%prep
%autosetup -n jupyter_server-%{version}
sed -i '/"pre-commit"/d' pyproject.toml
# overrides is not available in Fedora
sed -i '/"overrides.*"/d' pyproject.toml
sed -i '/from overrides import overrides/d' jupyter_server/services/kernels/kernelmanager.py
sed -i '/@overrides/d' jupyter_server/services/kernels/kernelmanager.py

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x test}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_server


%check
%if %{with tests}
# ResourceWarning is flaky and causes some test to fail
# reported: https://github.com/jupyter-server/jupyter_server/issues/1387
%pytest -W "always:unclosed <socket.socket:ResourceWarning"
%endif


%files -n python3-jupyter-server -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-server

%pyproject_extras_subpkg -n python3-jupyter-server test


%changelog
## START: Generated by rpmautospec
* Mon Apr 22 2024 Lumir Balhar <lbalhar@redhat.com> - 2.14.0-1
- Update to 2.14.0 (rhbz#2274542)

* Mon Mar 04 2024 Lumir Balhar <lbalhar@redhat.com> - 2.13.0-1
- Update to 2.13.0 (rhbz#2267685)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 17 2024 Lumir Balhar <lbalhar@redhat.com> - 2.12.5-1
- Update to 2.12.5 (rhbz#2258634)

* Thu Jan 11 2024 Lumir Balhar <lbalhar@redhat.com> - 2.12.4-1
- Update to 2.12.4 (rhbz#2257894)

* Wed Jan 10 2024 Lumir Balhar <lbalhar@redhat.com> - 2.12.3-1
- Update to 2.12.3 (rhbz#2257481)

* Thu Jan 04 2024 Lumir Balhar <lbalhar@redhat.com> - 2.12.2-1
- Update to 2.12.2 (rhbz#2256714)

* Tue Dec 19 2023 Lumir Balhar <lbalhar@redhat.com> - 2.12.1-1
- Update to 2.12.1 (rhbz#2253103)

* Wed Dec 06 2023 Lumir Balhar <lbalhar@redhat.com> - 2.12.0-1
- Update to 2.12.0 (rhbz#2253103)

* Tue Dec 05 2023 Lumir Balhar <lbalhar@redhat.com> - 2.11.2-1
- Update to 2.11.2 (rhbz#2252794)

* Tue Nov 28 2023 Lumir Balhar <lbalhar@redhat.com> - 2.11.1-1
- Update to 2.11.1 (rhbz#2251797)

* Wed Nov 22 2023 Lumir Balhar <lbalhar@redhat.com> - 2.11.0-1
- Update to 2.11.0 (rhbz#2250855)

* Sun Nov 19 2023 Lumir Balhar <lbalhar@redhat.com> - 2.10.1-1
- Update to 2.10.1 (rhbz#2249836)

* Mon Nov 06 2023 Lumir Balhar <lbalhar@redhat.com> - 2.10.0-1
- Update to 2.10.0 (rhbz#2248163)

* Wed Oct 25 2023 Lumir Balhar <lbalhar@redhat.com> - 2.9.1-1
- Update to 2.9.1 (rhbz#2246027)

* Mon Oct 16 2023 Lumir Balhar <lbalhar@redhat.com> - 2.8.0-1
- Update to 2.8.0 (rhbz#2244395)

* Wed Sep 06 2023 Lumir Balhar <lbalhar@redhat.com> - 2.7.3-1
- Update to 2.7.3 (rhbz#2236417)

* Mon Aug 21 2023 Lumir Balhar <lbalhar@redhat.com> - 2.7.2-1
- Update to 2.7.2 (rhbz#2232114)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Lumir Balhar <lbalhar@redhat.com> - 2.7.0-1
- Update to 2.7.0 (rhbz#2217784)

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 2.6.0-3
- Rebuilt for Python 3.12

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 2.6.0-2
- Bootstrap for Python 3.12

* Wed Jun 07 2023 Lumir Balhar <lbalhar@redhat.com> - 2.6.0-1
- Update to 2.6.0 (rhbz#2210080)

* Tue May 23 2023 Lumír Balhar <lbalhar@redhat.com> - 2.5.0-2
- Fix DeprecationWarning in test

* Fri Mar 17 2023 Lumír Balhar <lbalhar@redhat.com> - 2.5.0-1
- Update to 2.5.0 (rhbz#2179088)

* Wed Mar 08 2023 Lumír Balhar <lbalhar@redhat.com> - 2.4.0-1
- Update to 2.4.0 (rhbz#2175904)

* Thu Feb 23 2023 Lumír Balhar <lbalhar@redhat.com> - 2.3.0-1
- Update to 2.3.0 (rhbz#2166138)

* Thu Jan 19 2023 Lumír Balhar <lbalhar@redhat.com> - 2.1.0-1
- Update to 2.1.0 (rhbz#2160608)

* Mon Jan 02 2023 Lumír Balhar <lbalhar@redhat.com> - 2.0.6-1
- Update to 2.0.6 (rhbz#2156852)

* Fri Dec 23 2022 Lumír Balhar <lbalhar@redhat.com> - 2.0.5-1
- Update to 2.0.5 (rhbz#2155966)

* Thu Dec 22 2022 Lumír Balhar <lbalhar@redhat.com> - 2.0.3-1
- Update to 2.0.3 (rhbz#2155584)

* Wed Dec 21 2022 Lumír Balhar <lbalhar@redhat.com> - 2.0.2-1
- Update to 2.0.2 (rhbz#2155288)

* Mon Nov 28 2022 Lumír Balhar <lbalhar@redhat.com> - 2.0.0~rc8-1
- Initial package

## END: Generated by rpmautospec
